/*  "Expressive" compiler
 *
 *  A program to test the parser
 *  Philippe Altherr, Nikolay Mihaylov
 *
 *  $Id: ParserTest.java,v 1.1 2003/03/21 17:31:55 mihaylov Exp $
 */

package expressive;

import java.io.InputStream;
import java.io.PrintWriter;

/**
 * This class tests the syntactic analyzer (parser). The program
 * reads the source file and prints in the output file
 * the sequence of tokens recognized by the syntactic analyzer.
 *
 * usage: java expressive.ParserTest <options> [source_file [output-file]]
 * with the following options: <br>
 *   -debug    Print the debug messages <br>
 *   -? -help  Show this help
 */
public class ParserTest extends AbstractMain implements Tokens {

    public void run(Global global, InputStream in, PrintWriter out) {
	Scanner scanner = new Scanner(in);
	Parser parser = new Parser(scanner);
	try {
	    String prog = (String)parser.parse().value;
	    System.out.print(prog);
	} catch (Exception e) { e .printStackTrace(); }
    }

    public static void main(String[] args) {
        new ParserTest().run(args);
    }

}
